Miscellaneous Communications Functions
Communications Module

## Classes

class | itpp::EXIT
| EXtrinsic Information Transfer (EXIT) chart. More...
class | itpp::Multilateration
| Multilateration class for 3D indoor localization More...
class | itpp::STC
| Space Time block Codes (STC) class. More...

## Enumerations

enum | itpp::Multilateration::Type { itpp::Multilateration::MULTI_FAILURE = -1, itpp::Multilateration::MULTI_SPHERICAL, itpp::Multilateration::MULTI_HYPERBOLIC, itpp::Multilateration::MULTI_HYBRID }
| Multilateration types as detected from user input (method binary vector) More...
enum | Type { Unknown, V_BLAST_MxN, imp_V_BLAST_MxN, Alamouti_2xN, Switched_Alamouti_4xN, Double_Alamouti_4xN, Jafarkhani_4xN, Golden_2x2, Damen_2x2, ortho34_3xN, LD36_3xN, LD37_3xN, LD39_3xN }

## Functions

bmat | itpp::graycode (int m)
| Generate Gray code of blocklength m.The codes are contained as binary codewords {0,1} in the rows of the returned matrix. See also the `gray()` function in `math/scalfunc.h`.
int | itpp::hamming_distance (const bvec &a, const bvec &b)
| Calculate the Hamming distance between a and b.
int | itpp::weight (const bvec &a)
| Calculate the Hamming weight of a.
vec | itpp::waterfilling (const vec &alpha, double P)
| Compute the water-filling solutionThis function computes the solution of the water-filling problem subject to . More...

## Detailed Description

## Enumeration Type Documentation

enum itpp::Multilateration::Type

Multilateration types as detected from user input (method binary vector)

Enumerator
MULTI_FAILURE | the algorithm has failed
MULTI_SPHERICAL | spherical multilateration
MULTI_HYPERBOLIC | hyperbolic multilateration
MULTI_HYBRID | hybrid multilateration

Definition at line 89 of file multilateration.h.

## Function Documentation

ITPP_EXPORT vec itpp::waterfilling | ( | const vec & | alpha,
|  | double | P
| ) |  |

Compute the water-filling solutionThis function computes the solution of the water-filling problem

subject to

.

Parameters

  alpha | vector of gains (must have strictly positive elements)
  P | power constraint

Returns
  vector of power allocations

The computational complexity of the method is at most

Definition at line 82 of file commfunc.cpp.

References it_assert, and itpp::length().

Generated on Thu Aug 20 2015 21:02:52 for IT++ by Doxygen 1.8.9.1